> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all redeemptions for a coupon

> Get all redeemptions for a coupon.

<sup>Required permissions: `coupon:read`</sup>



## OpenAPI

````yaml get /coupons/{couponId}/redeemptions
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /coupons/{couponId}/redeemptions:
    parameters: []
    get:
      tags:
        - Coupon
      summary: Get all redeemptions for a coupon
      description: |-
        Get all redeemptions for a coupon.

        <sup>Required permissions: `coupon:read`</sup>
      operationId: getCouponRedeemptions
      parameters:
        - name: couponId
          in: path
          description: CouponRedemption identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: CouponRedemption collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/CouponRedemption-CouponRedemptionRead
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CouponRedemption-CouponRedemptionRead'
      deprecated: false
      security:
        - JWT:
            - coupon:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /coupons/{couponId}/redeemptions \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    CouponRedemption-CouponRedemptionRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        redeemedAt:
          readOnly: true
          type: string
          format: date-time
        customer:
          $ref: '#/components/schemas/Customer-CouponRedemptionRead'
        subscriptionItem:
          type:
            - string
            - 'null'
          format: uuid
          example: https://example.com/
    Customer-CouponRedemptionRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
          type: string
        customerNumber:
          minLength: 2
          maxLength: 255
          example: CUSTOMER-000
          nullable: false
        timeZone:
          readOnly: true
          default: Europe/Berlin
          example: Europe/Berlin
          type: string
        name:
          readOnly: true
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````